# Kickstart

## Definició

Els fitxers de tipus [kickstart](https://pykickstart.readthedocs.io/en/latest/kickstart-docs.html) permeten generar instal·lacions desateses o crear imatges ISO de sistemes _live_ personalitzats per a Fedora, CentOS o RedHat Enterprise Linux.

Un fitxer kickstart és un arxiu de text simple amb una llista d'elements identificats amb paraules clau i sol tenir l'extensió `.ks` o `.cfg` Es poden generar amb aplicatius gràfics, seleccionant opcions, o bé crear-los a mà. Els instal·ladors de Fedora i RHEL creen un fitxer kickstart d'exemple basat en els paràmetres definits durant la instal·lació.

## Ús

Per a generar una imatge ISO de Fedora a partir d'un fitxer kickstart d'aquest repositori és necessari descarregar-lo en un espai on hi hagi suficient emmagatzematge lliure per a poder desar l'arxiu ISO resultant. Un cop descarregat, amb l'usuari _root_ del sistema, executarem l'ordre

``` bash
livecd-creator --verbose --config={arxiu.ks} --fslabel={nom-iso} --cache=/var/cache/live
```

Una vegada finalitzi, tindrem la imatge ISO generada al directori des d'on haguem invocat l'ordre. Si volem, la podem gravar a un llapis de memòria per a tenir un sistema autònom personalitzat:

``` bash
livecd-iso-to-disk [--efi] --format [--home-size-mb 4095] {nom-iso.iso} /dev/{usb_destí}
```

Els paràmetres entre `[ ]` són opcionals:

* `--efi` configura un llapis de memòria arrencable en mode híbrid UEFI/BIOS

* `--home-size-mb` permet crear un espai persistent que es muntarà a `/home` un cop arrenqui el sistema autònom. Com a màxim es poden assignar 4095 MB (limitació sistema fitxers FAT)
